package notifications

import (
	an "github.com/tech/sendico/pkg/messaging/internal/notifications/account"
	messaging "github.com/tech/sendico/pkg/messaging/envelope"
	nm "github.com/tech/sendico/pkg/model/notification"
	"go.mongodb.org/mongo-driver/bson/primitive"
)

func Account(sender string, accountRef primitive.ObjectID, action nm.NotificationAction) messaging.Envelope {
	return an.NewAccountImp(sender, accountRef, action)
}

func AccountCreated(sender string, accountRef primitive.ObjectID) messaging.Envelope {
	return Account(sender, accountRef, nm.NACreated)
}
